Package: groovy.org.codenarc.rule.convention

## [Groovy] Class HashtableIsObsoleteRule

- groovy.org.codenarc.rule.convention.HashtableIsObsoleteRule

- Check for direct use of Vector or java.util.Hashtable. Known limitation: Does not catch references as Anonymous Inner class: def x = new java.util.Vector() { .. }

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `AstVisitor` | `getAstVisitor()`

- - ### Property Detail

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override AstVisitor getAstVisitor()